Trainer (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser
Class Trainer

    java.lang.Object
      org.maltparser.parser.Algorithm
          org.maltparser.parser.Trainer

Direct Known Subclasses:
  BatchTrainer

    public abstract class Trainer

extends Algorithm

Author:
  Johan Hall

Field Summary

Fields inherited from class org.maltparser.parser.Algorithm
`classifierGuide, currentParserConfiguration, diagnostics, diaWriter, manager, parserState`

Constructor Summary
`Trainer(DependencyParserConfig manager)` Creates a parser trainer

Method Summary
`abstract OracleGuide` | `getOracleGuide()` Returns the oracle guide.
`abstract DependencyStructure` | `parse(DependencyStructure goldDependencyGraph, DependencyStructure parseDependencyGraph)` Trains a parser using the gold-standard dependency graph and returns a parsed dependency graph
`abstract void` | `train()`

Methods inherited from class org.maltparser.parser.Algorithm
`closeDiaWriter, copyDynamicInput, copyEdges, getCurrentParserConfiguration, getDiaWriter, getGuide, getManager, getParserState, initParserState, isDiagnostics, makeParserFactory, openDiaWriter, setCurrentParserConfiguration, setDiagnostics, setGuide, setManager, setParserState, terminate, writeToDiaFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Trainer

    public Trainer(DependencyParserConfig manager)
            throws MaltChainedException

  Creates a parser trainer

  Parameters:
    `manager` - a reference to the single malt configuration
  Throws:
    `MaltChainedException`

Method Detail

### parse

    public abstract DependencyStructure parse(DependencyStructure goldDependencyGraph,
                                              DependencyStructure parseDependencyGraph)
                                       throws MaltChainedException

  Trains a parser using the gold-standard dependency graph and returns a parsed dependency graph

  Parameters:
    `goldDependencyGraph` - a old-standard dependency graph
    `parseDependencyGraph` - a empty dependency graph
  Returns:
    a parsed dependency graph
  Throws:
    `MaltChainedException`

### getOracleGuide

    public abstract OracleGuide getOracleGuide()

  Returns the oracle guide.

  Returns:
    the oracle guide.

### train

    public abstract void train()
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.